{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    TT Revision
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus"></i>
                Revise Timetable
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                <h4> You are currently revising timetable of <strong>{{ semester_instance.batch }}</strong> batch </h4>
            </div>
            <form method="POST">{% csrf_token %}
                <div class="row" align="center">
                    <select class="selectpicker" name="day"
                            required>
                        <option disabled selected>--------</option>
                        <option value="Monday">Monday</option>
                        <option value="Tuesday">Tuesday</option>
                        <option value="Wednesday">Wednesday</option>
                        <option value="Thursday">Thursday</option>
                        <option value="Friday">Friday</option>
                    </select>
                    <select class="selectpicker" name="hour"
                            required>
                        <option disabled selected>--------</option>
                        <option value="1">1st hour</option>
                        <option value="2">2nd hour</option>
                        <option value="3">3rd hour</option>
                        <option value="4">4th hour</option>
                        <option value="5">5th hour</option>
                        <option value="6">6th hour</option>
                        <option value="7">7th hour</option>
                        <option value="8">8th hour</option>
                    </select>
                </div>
                <br>
                <div align="center">
                    <button type="submit" class="btn1 btn1-default" name="get_timetable_of_hour">Check Revision</button>
                </div>
            </form>
            <br>
            <br>
            <br>

            {% if selected_day %}
                <form method="POST">{% csrf_token %}
                    <input type="hidden" name="hidden_day" value="{{ selected_day }}">
                    <input type="hidden" name="hidden_hour" value="{{ selected_hour }}">
                    <div role="alert" class="alert alert-info alert-dismissible fade in" align="center">
                        <h4> You have selected hour <strong>{{ selected_hour }}</strong> on
                            <strong>{{ selected_day }}</strong>
                        </h4>
                    </div>
                    <div align="center">
                        <button type="button" class="btn1 btn-dark-green" data-toggle="modal"
                                data-target="#example">
                            Add Revision
                        </button>

                        <!-- Modal -->
                        <div class="modal" id="example" tabindex="-1"
                             role="dialog"
                             aria-labelledby="exampleLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h3 class="modal-title" id="exampleLabel">
                                            Insert Revision</h3>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-horizontal form-label-left">
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                    Course
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <select class="form-control selectpicker" name="course"
                                                            data-width="auto"
                                                            required>
                                                        <option disabled selected>-----------</option>
                                                        {% for course in list_of_courses %}
                                                            <option value="{{ course.pk }}"
                                                                    data-subtext="{{ course.code }}">{{ course.course_name }}</option>
                                                        {% endfor %}
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                    Start Date
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input id="datepicker" name="start_date" class="form-control"
                                                           type="text"
                                                           required>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                    End Date
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input id="enddatepicker" name="end_date" class="form-control"
                                                           type="text"
                                                           required>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-secondary"
                                                data-dismiss="modal">
                                            Close
                                        </button>
                                        <button type="submit" class="btn1 btn-dark-green" name="add_revision">
                                            Add Revision
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <br>
                <form method="POST">{% csrf_token %}
                    <input type="hidden" name="hidden_day" value="{{ selected_day }}">
                    <input type="hidden" name="hidden_hour" value="{{ selected_hour }}">
                    <table class="col-md-12 table table-bordered table-striped table-responsive">
                        <thead>
                        <td align="center" style="font-weight: bolder">S.No.</td>
                        <td align="center" style="font-weight: bolder">Course</td>
                        <td align="center" style="font-weight: bolder">Start Date</td>
                        <td align="center" style="font-weight: bolder">End Date</td>
                        </thead>
                        <tbody>
                        {% for entry in timetable_list %}
                            <tr>
                                <td align="center">{{ forloop.counter }}</td>
                                <td align="center">{{ entry.course }}</td>
                                <td align="center">{{ entry.created_date|date }}</td>
                                <td align="center">
                                    {% if entry.is_active %}
                                        -
                                    {% else %}
                                        {{ entry.modified_date|date }}
                                    {% endif %}
                                </td>
                                <td align="center">
                                    {% if not entry.is_active %}
                                        <!-- Button trigger modal -->
                                        <button type="button" class="btn1-sm btn-orange" data-toggle="modal"
                                                data-target="#exampleModal{{ forloop.counter }}">
                                            Delete
                                        </button>

                                        <!-- Modal -->
                                        <div class="modal" id="exampleModal{{ forloop.counter }}" tabindex="-1"
                                             role="dialog"
                                             aria-labelledby="exampleModalLabel{{ forloop.counter }}"
                                             aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h3 class="modal-title"
                                                            id="exampleModalLabel{{ forloop.counter }}">
                                                            Delete Confirmation</h3>
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <table class="table table-bordered table-striped table-responsive col-md-8">
                                                            <tbody>
                                                            <tr>
                                                                <td>Course</td>
                                                                <td>{{ entry.course }}</td>
                                                            </tr>
                                                            <tr>
                                                                <td>Start Date</td>
                                                                <td>{{ entry.created_date|date }}</td>
                                                            </tr>
                                                            <tr>
                                                                <td>End Date</td>
                                                                <td>
                                                                    {% if entry.is_active %}
                                                                        -
                                                                    {% else %}
                                                                        {{ entry.modified_date|date }}
                                                                    {% endif %}
                                                                </td>
                                                            </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn1 btn1-secondary"
                                                                data-dismiss="modal">
                                                            Close
                                                        </button>
                                                        <button type="submit" class="btn1 btn-deep-orange"
                                                                name="delete_id"
                                                                value="{{ entry.id }}">Delete
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    {% endif %}
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </form>
            {% endif %}
        </div>
    </div>



    <script type="text/javascript">


        $(function () {
            var today = new Date();
            var yesterday = new Date();
            yesterday.setDate(today.getDate() - 1);
            $("#datepicker").datepicker({
                dateFormat: 'dd/mm/yy',
                maxDate: yesterday,
                beforeShowDay: $.datepicker.noWeekends
            });
        });

        $(function () {
            var today = new Date();
            var yesterday = new Date();
            yesterday.setDate(today.getDate() - 1);
            var startdate = $("#datepicker").datepicker("getDate");
            $("#enddatepicker").datepicker({
                dateFormat: 'dd/mm/yy',
                maxDate: yesterday,
                beforeShowDay: $.datepicker.noWeekends
            });
        });

        {% if date_error %}
            $(function () {
                new PNotify({
                    title: 'Error!',
                    text: 'End date > Start date required!',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if start_date_fails %}
            $(function () {
                new PNotify({
                    title: 'Out of Bound!',
                    text: 'Actual semester start term date is {{ semester_instance.start_term_1 }}',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if crash == True %}
            $(function () {
                new PNotify({
                    title: 'Error!',
                    text: 'Date clashes with other dates.',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if crash == False %}
            $(function () {
                new PNotify({
                    title: 'Success!',
                    text: 'Revision added for course {{ time_table_instance.course }} from {{ date_started|date }} to {{ date_ended|date }}.',
                    type: 'success',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if deleted %}
            $(function () {
                new PNotify({
                    title: 'Warning!',
                    text: '{{ time_table_instance.course }} course deleted on hour {{ time_table_instance.hour }} of {{ time_table_instance.day.day_name }}.',
                    type: 'warning',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if future_date %}
            $(function () {
                new PNotify({
                    title: 'Warning!',
                    text: 'Revisions can be made only for past dates',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

    </script>

{% endblock %}